Customer Login With LDAP (Microsoft ActiveDirectory/OpenLDAP)

Customer Login With LDAP (Microsoft ActiveDirectory/OpenLDAP)
What does it do:
This plugin extends opencart to allow for integration with any LDAP-compliant authentication server, such as OpenLDAP and Microsoft ActiveDirectory, for authentication purposes.

It provides settings on the default store's admin section to enable/disable authentication with OpenLDAP.AD, and also, if enabled specify the ldap URL to the OpenLDAP/ActiveDirectory installation.

The plugin assumes that the user has been registered and has a customer profile on the opencart store and shares the same email address as what is configured in OpenLDAP/AD.

Assuming the authentication is enabled, when the user tries to log in this plugin will try to authenticate the credentials against the OpenLDAP/AD configured and if successful will allow the user to log in as normal.

If however the authentication fails against OpenLDAP/AD the user will not be able to log in.

This plugin is compatible with opencart 1.5.x.x, 2.x.x.x, 3.x.x.x, and has been tested with Microsoft ActiveDirectory and OpenLDAP.

Plugin Configuration
The plugin, if enabled, relies on two settings:
a) LDAP Server URL - for example, ldap://myserver:389
b) LDAP Bind String - the Bind string that must be used. The email address provided by the user will be a part of the bind string, and represented by a special [EMAIL_ADDRESS] placeholder, for example: cn=[EMAIL_ADDRESS],ou=users,dc=test,dc=com

Dependencies
The following php library/module must be installed for this plugin to work:
php5-ldap or php7-ldap, depending on the version of PHP that you have installed.

How to install it
The zip file contains VQMODs for all versions of OpenCart that are supported. Please copy the contents of the folder that most closely matches your version of Opencart into the "vqmod/xml" folder. Note that mo files are overwritten and it's required to have VQMOD installed.

Supported OpenCart Versions:

  • 1.5.4 or greater
  • 2.x
  • 3.x


Support:
panagos@gmail.com
soteri@opencartplugins.net

History
  • 3.0.0.0 - Port of the plugin to OpenCart 3
  • 2.0.0.0 - Added support for bind strings, and also ported the plugin to version 2 of opencart
  • 1.0.0.0 - initial version




Buy
Price
$24.95

  • Developed by OpenCart Community
  • Documentation Included

Rating

Compatibility
1.5.4, 1.5.4.1, 1.5.5.1, 1.5.6, 1.5.6.1, 1.5.6.2, 1.5.6.3, 1.5.6.4, 2.0.0.0, 2.0.1.0, 2.0.1.1, 2.0.2.0, 2.0.3.1, 2.1.0.1, 2.1.0.2, 2.2.0.0, 2.3.0.0, 2.3.0.1, 2.3.0.2, 3.0.0.0, 3.0.1.1, 3.0.1.2, 3.0.2.0

Last Update
10 Jan 2018

Created
22 Jan 2016
11 Sales
9 Comments
panagos@gmail.com
panagos@gmail.com
Member since: 27 Oct 2012

View all extensions Get Support